Main Page Groups Namespaces

# sigc::bind_functor< 4, T_functor, T_bound >::deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 > Struct Template Reference

List of all members.

## Public Types

typedef adaptor_type::template deduce_result_type< typename type_trait<T_arg1>::pass, typename type_trait< T_arg2 >::pass, typename type_trait< T_arg3 >::pass, typename type_trait<T_arg4>::pass, typename type_trait< T_bound >::pass, typename type_trait< T_arg5 >::pass, typename type_trait<T_arg6>::pass >::type | type

### template <class T_functor, class T_bound>
template <class T_arg1 = void, class T_arg2 = void, class T_arg3 = void, class T_arg4 = void, class T_arg5 = void, class T_arg6 = void, class T_arg7 = void>
struct sigc::bind_functor< 4, T_functor, T_bound >::deduce_result_type< T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7 >

## Member Typedef Documentation

template <class T_functor, class T_bound>
template <class T_arg1 = void, class T_arg2 = void, class T_arg3 = void, class T_arg4 = void, class T_arg5 = void, class T_arg6 = void, class T_arg7 = void>

typedef adaptor_type::template deduce_result_type<typename type_trait<T_arg1>::pass,typename type_trait<T_arg2>::pass,typename type_trait<T_arg3>::pass,typename type_trait<T_arg4>::pass, typename type_trait<T_bound>::pass, typename type_trait<T_arg5>::pass, typename type_trait<T_arg6>::pass>::type sigc::bind_functor<4, T_functor, T_bound>::deduce_result_type<T_arg1, T_arg2, T_arg3, T_arg4, T_arg5, T_arg6, T_arg7>::type

The documentation for this struct was generated from the following file:

- adaptors/bind.h